class ch0312{
  public static void main(String args[]){
    int a=48,b=27,g;
      g=result(a,b);
      if(g==-1) System.out.println(""+a+"和"+b+"无最大公约数!");
      else      System.out.println(""+a+"和"+b+"的最大公约数为："+g);
 
    }

  static int result(int a,int b)         //辗转相除求最大公约数模块
   { int u,v,r;
     u=a;    v=b;   r=u%v;
     while(r!=0)
       {System.out.println("u="+u+",v="+v+",r="+r);
        u=v; v=r; r=u%v;
       }
     if(v==1)  return -1;
     else      return v;
   }
 }

